Skip to content
#

Delete Session

Permanently delete a session and its content

DELETE /api/v1/projects/{projectId}/sessions/{sessionId}
On this page
#

Request

projectId string · path · required

The unique identifier of the project

sessionId string · path · required

The unique identifier of the session to delete

Authorization string · header · required

Bearer token for authentication

#

Response

success boolean

Indicates if the request was successful

data object

data

success boolean

Confirmation of successful deletion

#

Request examples

cURL

curl -X DELETE \
  -H "Authorization: Bearer YOUR_API_KEY" \
  https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions/550e8400-e29b-41d4-a716-446655440000

JavaScript

const response = await fetch(
  'https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions/550e8400-e29b-41d4-a716-446655440000',
  {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY'
    }
  }
);

const data = await response.json();

Python

import requests

response = requests.delete(
    'https://cloud.specstory.com/api/v1/projects/proj_abc123/sessions/550e8400-e29b-41d4-a716-446655440000',
    headers={'Authorization': 'Bearer YOUR_API_KEY'}
)

data = response.json()
#

Response examples

200 Success

{
  "success": true,
  "data": {
    "success": true
  }
}

403 Forbidden

{
  "success": false,
  "error": "Insufficient permissions to delete this session"
}

404 Not Found

{
  "success": false,
  "error": "Session not found"
}